
package de.ivu.elect.interfaces.core;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class Gewaehlt implements Serializable {

  private static final long serialVersionUID = 1L;

  @XmlElement(required = true)
  private KandidaturReferenz kandidaturReferenz;

  @XmlElement(required = true)
  private Long rang;

  @XmlElement(required = true)
  private GewaehltStatus gewaehltStatus;

  @XmlElement(required = false)
  private GewaehltStatusVergabe gewaehltStatusVergabe; // ELECT-16036

  @XmlElement(required = false)
  private String customData;

  public KandidaturReferenz getKandidaturReferenz() {
    return kandidaturReferenz;
  }

  public void setKandidaturReferenz(KandidaturReferenz kandidaturReferenz) {
    this.kandidaturReferenz = kandidaturReferenz;
  }

  public Long getRang() {
    return rang;
  }

  public void setRang(Long rang) {
    this.rang = rang;
  }

  public GewaehltStatus getGewaehltStatus() {
    return gewaehltStatus;
  }

  public void setGewaehltStatus(GewaehltStatus gewaehltStatus) {
    this.gewaehltStatus = gewaehltStatus;
  }

  public GewaehltStatusVergabe getGewaehltStatusVergabe() {
    return gewaehltStatusVergabe;
  }

  public void setGewaehltStatusVergabe(GewaehltStatusVergabe gewaehltStatusVergabe) {
    this.gewaehltStatusVergabe = gewaehltStatusVergabe;
  }

  public String getCustomData() {
    return customData;
  }

  public void setCustomData(String customData) {
    this.customData = customData;
  }
}
